# class stringTokenizer

Tokenizer class which gets tokens from a string. More...

Full name | `toSQLParse::stringTokenizer`
Definition | `#include <tosqlparse.h>`
Inherits | toSQLParse::tokenizer [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- stringTokenizer (const QString &str,int offset=0,int line=0)
- stringTokenizer (const QString &str,toSyntaxAnalyzer &analyzer,int offset=0,int line=0)
- virtual QString getToken (bool forward=true,bool comment=false)
- virtual QString remaining (bool eol)

## Detailed Description

Tokenizer class which gets tokens from a string.

stringTokenizer (const QString &str,int offset=0,int line=0)

### stringTokenizer

stringTokenizer (const QString &str,toSyntaxAnalyzer &analyzer,int offset=0,int line=0)

### stringTokenizer

QString getToken (bool forward=true,bool comment=false)

### getToken

[virtual]

Get a token from the string.

Parameters:

forward | Go forward or backwards to get next token.
comment | Include comments as tokens.

Reimplemented from tokenizer.

QString remaining (bool eol)

### remaining

[virtual]

Get the data remaining after the current position.

Parameters:

eol | If true end of line, otherwise end of tokenizer.

Reimplemented from tokenizer.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.